kate Library: KateSyntaxDocument Class Reference (kate Library)

| # kate Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateSyntaxDocument Class Reference

Store and manage the information about Syntax Highlighting. More...

`#include <katesyntaxdocument.h>`

Inheritance diagram for KateSyntaxDocument:

[legend]
Collaboration diagram for KateSyntaxDocument:

[legend]
List of all members.

## Public Member Functions
| KateSyntaxDocument (bool force=false)
| ~KateSyntaxDocument ()
bool | setIdentifier (const QString &identifier)
const KateSyntaxModeList & | modeList ()
bool | nextGroup (KateSyntaxContextData *data)
bool | nextItem (KateSyntaxContextData *data)
QString | groupItemData (const KateSyntaxContextData *data, const QString &name)
QString | groupData (const KateSyntaxContextData *data, const QString &name)
void | freeGroupInfo (KateSyntaxContextData *data)
KateSyntaxContextData * | getSubItems (KateSyntaxContextData *data)
KateSyntaxContextData * | getConfig (const QString &mainGroupName, const QString &config)
KateSyntaxContextData * | getGroupInfo (const QString &mainGroupName, const QString &group)
QStringList & | finddata (const QString &mainGroup, const QString &type, bool clearList=true)

## Detailed Description

Store and manage the information about Syntax Highlighting.

Definition at line 64 of file katesyntaxdocument.h.

## Constructor & Destructor Documentation

KateSyntaxDocument::KateSyntaxDocument | ( | bool | force = `false` | ) |

  | Constructor Sets the current file to nothing and build the ModeList (katesyntaxhighlightingrc). Parameters:
  | force | fore the update of the hl cache
Definition at line 34 of file katesyntaxdocument.cpp.

KateSyntaxDocument::~KateSyntaxDocument | ( |  | ) |

| Desctructor. Definition at line 41 of file katesyntaxdocument.cpp. References QValueList::size().

## Member Function Documentation

bool KateSyntaxDocument::setIdentifier | ( | const QString & | identifier | ) |

  | If the open hl file is different from the one needed, it opens the new one and assign some other things. Parameters:
  | identifier | file name and path of the new xml needed
Returns: success Definition at line 51 of file katesyntaxdocument.cpp. References QFile::close(), KMessageBox::error(), QFile::open(), QDomDocument::setContent(), and QString::utf8().

const KateSyntaxModeList& KateSyntaxDocument::modeList | ( |  | ) | `[inline]`

| Get the mode list. Returns: mode list Definition at line 91 of file katesyntaxdocument.h.

bool KateSyntaxDocument::nextGroup | ( | KateSyntaxContextData * | data | ) |

  | Jump to the next group, KateSyntaxContextData::currentGroup will point to the next group. Parameters:
  | data | context
Returns: success Definition at line 94 of file katesyntaxdocument.cpp. References QDomNode::isComment(), QDomNode::isNull(), QDomNode::nextSibling(), and QDomNode::toElement().

bool KateSyntaxDocument::nextItem | ( | KateSyntaxContextData * | data | ) |

  | Jump to the next item, KateSyntaxContextData::item will point to the next item. Parameters:
  | data | context
Returns: success Definition at line 125 of file katesyntaxdocument.cpp. References QDomNode::firstChild(), QDomNode::isComment(), QDomNode::isNull(), QDomNode::nextSibling(), and QDomNode::toElement().

QString KateSyntaxDocument::groupItemData | ( | const KateSyntaxContextData * | data,
|  | const QString & | name
| ) |

| This function is used to fetch the atributes of the tags. Definition at line 153 of file katesyntaxdocument.cpp. References QString::isEmpty().

KateSyntaxContextData * KateSyntaxDocument::getConfig | ( | const QString & | mainGroupName,
|  | const QString & | config
| ) |

| Get the KateSyntaxContextData of the DomElement Config inside mainGroupName It just fills KateSyntaxContextData::item. Definition at line 247 of file katesyntaxdocument.cpp. References KateSyntaxContextData::item.

KateSyntaxContextData * KateSyntaxDocument::getGroupInfo | ( | const QString & | mainGroupName,
|  | const QString & | group
| ) |

| Get the KateSyntaxContextData of the QDomElement Config inside mainGroupName KateSyntaxContextData::parent will contain the QDomElement found. Definition at line 263 of file katesyntaxdocument.cpp. References KateSyntaxContextData::parent.

QStringList & KateSyntaxDocument::finddata | ( | const QString & | mainGroup,
|  | const QString & | type,
|  | bool | clearList = `true`
| ) |

| Returns a list with all the keywords inside the list type. Definition at line 278 of file katesyntaxdocument.cpp. References QDomNodeList::count(), QDomDocument::documentElement(), QDomElement::elementsByTagName(), endl(), QString::isEmpty(), QDomNode::isNull(), QDomNodeList::item(), kdDebug(), QDomNode::nextSibling(), QDomElement::tagName(), and QDomNode::toElement().

The documentation for this class was generated from the following files:

- katesyntaxdocument.h
- katesyntaxdocument.cpp

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:54 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003